<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://www.w3.org/1999/xlink">
<xsl:template match="/">
	
<html>
			
	<head>
			<title>Drop Down </title>
			<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
			<script type="text/javascript" src="http://www.idi.ntnu.no/~ballo/BIBSYS/stylesheet/drop_down.js"></script>
			<style type="text/css">@import "http://www.idi.ntnu.no/~ballo/BIBSYS/stylesheet/style.css";</style>
			<script type="text/javascript" src="http://www.idi.ntnu.no/~ballo/BIBSYS/stylesheet/tooltip.js"></script>

	</head>
			
	<body>	
		<div id="tooltip" style="position:absolute;visibility:hidden"></div>
			<div id="vertnav1">
				<ul id="nav">
				<!--========Selects the arc elements named "go" from the Xlink, and setting the value of the arc elements "xlink:from" to "Parent"==========-->
					<xsl:for-each select="//go">                                
						<xsl:variable name="Parent" select="@xlink:from"/>     
						<xsl:variable name="Child" select="@xlink:to"/>
						<xsl:variable name="ArcTitle" select="@xlink:title"/>                                
						<xsl:for-each select="//entity">
							<!--==Selecting all the locator elements that's parent element in the traversal, and putting the value of the Parents xlink:role to the attribute "Role"==-->
							<xsl:if test="$Parent=@xlink:label">
							<!--===================================Setting tooltip to display the Xlink content-role attribute====================================-->	
							<xsl:variable name="Tooltip1"><xsl:value-of select="@xlink:role"/></xsl:variable>
							<!--===============Making an A element in the unordred list with the parent elements, and displaying the tooltip with onMouseover()=============-->
								<li>	
									<a href="{@xlink:href}" onMouseover="showtip(this,event,'{$Tooltip1}')" onMouseout="hidetip()">
										<xsl:value-of select="$ArcTitle"/>
									</a>
									<ul>
										<xsl:for-each select="//entity"> 
											<xsl:variable name="Tooltip2"><xsl:value-of select="@xlink:role"/></xsl:variable>
											<!--===========================Selecting all child elements where xlink:role is equal to the parents xlink:role=========================-->
											<xsl:if test="$Child=@xlink:label">
												<li>
													<a href="{@xlink:href}" onMouseover="showtip(this,event,'{$Tooltip2}')" onMouseout="hidetip()">
													<xsl:value-of select="@xlink:title"/>
													</a>
												</li>
											</xsl:if>
										</xsl:for-each>
									</ul>
								</li>				
							</xsl:if>											
						</xsl:for-each>
					</xsl:for-each>
				</ul>
			</div>
	 </body>	
		
	</html>
</xsl:template>
</xsl:stylesheet>

  